import { type AnyModule } from '@equinor/fusion-framework-module';
import { ConfigEnvironment, type CurrentApp } from '@equinor/fusion-framework-module-app';
/**
 * Observers the stream of current app and return the latest application
 *
 * __Warning:__ type hint templates are only hints, this does not check if the modules are actually enabled!
 *
 * @template TModule type hint modules which the application has configured
 * @template TEnv type hint what kind of environment config the application has
 */
export declare const useCurrentApp: <TModules extends Array<AnyModule> = [], TEnv extends ConfigEnvironment = ConfigEnvironment>() => {
    currentApp?: CurrentApp<TModules, TEnv> | null;
    setCurrentApp: (appKey: string) => void;
    clearCurrentApp: () => void;
    error?: unknown;
};
export default useCurrentApp;
